import {Routes} from "@angular/router/router";
import {TimelineVideoComponent} from "./timeline-video/timeline-video.component";
import {VideoComponent} from "./video/video.component";
import {FilesComponent} from "./files/files.component";
import {LoginComponent} from "./login/login.component";
import {TestsComponent} from "./tests/tests.component";
import {MainComponent} from "./main/main.component";

export const routes: Routes = [
  {path: 'home', component: FilesComponent},
  {path: 'login', component: LoginComponent},
  {path: 'videotimline', component: TimelineVideoComponent},
  {path: 'video', component: VideoComponent},
  {path: 'tests', component: TestsComponent},
  {path: '', component: TestsComponent},
  {path: 'main', component: MainComponent}
];
