import { Component, OnInit } from "@angular/core";
import { BsModalRef } from 'ngx-bootstrap/modal/bs-modal-ref.service';
import {Locale} from "../../constants/Locale";

@Component({
  selector: "app-confirm",
  templateUrl: "./confirm.component.html",
  styleUrls: ["./confirm.component.css"]
})
export class ConfirmComponent implements OnInit {

  public resolveFunction: Function;
  public message: string;
  public title: string;
  public okButton: string;
  public cancelButton: string;


  constructor(private bsModalRef: BsModalRef) { }

  public ngOnInit(): void {
  }

  public ok(): void {
    this.resolveFunction(true);
    this.bsModalRef.hide();
  }

  public cancel(): void {
    this.resolveFunction(false);
    this.bsModalRef.hide();
  }

}
